Skip to main content
GET
Get speaker
Gets a speaker from your organization, including associated voices.

Authorizations

X-Api-Key
string
header
required
Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

speaker id

Query Parameters

custom_voices
enum<string>

The level of detail to show for custom_voices in the response: 'none' or 'partial'

Available options:
partial

Response

private access with correct password

id
integer

Unique identifier for the object

first_name
string

The first name of the speaker

last_name
string | null

The last name of the speaker

avatar_url
string | null

The image URL of the speaker

created
string<date-time>

Time at which the object was created (ISO 8601)

updated
string<date-time>

Time at which the object was updated (ISO 8601)

custom_voices
object[] | null

The custom voices for the speaker

voices
object[] | null

The voices for the speaker